Announcement

Collapse
No announcement yet.

Use session in database generates error throughout Scriptcase (copied from Main Foru

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Use session in database generates error throughout Scriptcase (copied from Main Foru

    After I have selected "Use Session in Database" under Options, Settings I get this persistent error in Scriptcase -

    "Strict Standards: Declaration of ADODB_pdo_sqlite::_connect() should be compatible with ADODB_pdo::_connect($argDSN, $argUsername, $argPassword, $argDatabasename, $persist = false, $charset = '') in C:\Program Files\NetMake\v71\wwwroot\scriptcase\prod\third\ad odb\drivers\adodb-pdo_sqlite.inc.php on line 305"

    When I turn it off, the error goes away.

    Bug or some other setting required?

    Thanks, Ian

    PS - originally posted in Main Forum.

  • #2
    I found the error reported elsewhere in other language forums but no solution posted.

    Tried a bit of lateral thinking and found the offending php file - noted that it was dated 2007. Found what appears to be a later version (2012) so after renaming the old one, copied that one to the same location.

    Restarted Scriptcase and the error has gone away.

    Not really sure if this is the correct answer however it is not in a production environment and still learning about php etc. thought I would give it a try. Will repost if it does not work.

    However if you know I have done the wrong thing, please let me know before I cause damage to my project.
    Last edited by Ians; 05-19-2014, 05:59 AM.

    Comment


    • #3
      Hello Ians,

      I will contact our bugs team regarding this issue.

      regards,
      Bernhard Bernsmann

      Comment

      Working...
      X